#!/bin/sh 
SYSPBRH=$(grep -c Debian /etc/issue)
SYSPBRHU=$(grep -c Ubuntu /etc/issue)
SYSPBRH=$(($SYSPBRH+$SYSPBRHU))
SYSPBDB=$(grep -c Redhat /etc/issue)
SYSPBDBC=$(grep -c CentOS /etc/issue)
SYSPBDBF=$(grep -c Fedora /etc/issue)
SYSPBDB=$(($SYSPBDB+$SYSPBDBC+$SYSPBDBF))
if [ $SYSPBRH -ge 1 ] ; then
	apt-get install -y make
fi
if [ $SYSPBDB -ge 1 ] ; then
	yum install -y make
fi
GVER=$(gcc --version | head -n1 | cut -d' ' -f3)
if [[ $GVER == 4* ]] ; then
    echo "gcc version "$GVER
else
	if [ $SYSPBRH -ge 1 ] ; then
	    apt-get install -y gcc  
	fi
	if [ $SYSPBDB -ge 1 ] ; then
	 yum install -y gcc 
	fi
fi
	if [ $SYSPBRH -ge 1 ] ; then
				apt-get install -y ia32-libs-gtk
	fi
	if [ $SYSPBDB -ge 1 ] ; then
	 yum install -y glibc.i686 
	 yum install -y libstdc++-devel.i386 
	 yum install -y libzdb.i386
	fi
tar -zxf boa-0.94.14rc21.tar.bz
cd boa-0.94.14rc21
./configure
#cd src/
make
cd ..
mkdir -p /var/log/boa/
mkdir -p /var/wwwskypetosipgw/cgi-bin/
mkdir -p /var/wwwskypetosipgw/html/
mkdir -p /var/wwwskypetosipgw/css/
mkdir -p /var/wwwskypetosipgw/images/
mkdir -p /var/wwwskypetosipgw/js/
mkdir -p /etc/boa/
mkdir -p /etc/skypetosipgwconfig/
mkdir -p /etc/init.d/
mkdir -p /etc/rc.d/
SYSPATH=$(pwd)/boa-0.94.14rc21/src/boa
echo $SYSPATH
if [ ! -f "$SYSPATH" ] ; then
echo "install failed!"
exit
fi
\cp boa-0.94.14rc21/src/boa /bin/
chmod 777 /bin/boa
\cp boa.conf /etc/boa/
HNAME=$(hostname)
PREF="ServerName "
echo $PREF$HNAME >> /etc/boa/boa.conf
\cp gw.cgi /var/wwwskypetosipgw/cgi-bin/
chmod 777 /var/wwwskypetosipgw/cgi-bin/gw.cgi
\cp -r html/* /var/wwwskypetosipgw/html/
\cp -r images/* /var/wwwskypetosipgw/images/
\cp -r css/* /var/wwwskypetosipgw/css/
\cp -r js/* /var/wwwskypetosipgw/js/
\cp index.html /var/wwwskypetosipgw/
rm -rf /etc/skypetosipgwconfig/cdr*
\cp skypetosipgwconfig/* /etc/skypetosipgwconfig/
CPRES=0
CPRES=$(ps -ef|grep -c SkypetoSipGw)
MYFILE="/etc/rc.d/rc.local"
if [ ! -f "$MYFILE" ] ; then
 touch "$MYFILE";
 chmod 777 /etc/rc.d/rc.local
fi
RESB=0
RESB=$(grep -c /usr/bin/boa /etc/rc.d/rc.local)
if [ $RESB -eq 0 ]; then
echo /bin/boa >> /etc/rc.d/rc.local
fi
RES=0
RES=$(grep -c /usr/bin/Gwd /etc/rc.d/rc.local)
if [ $RES -eq 0 ]; then
echo /usr/bin/Gwd >> /etc/rc.d/rc.local
fi
if [ $CPRES -ge 2 ] ;then
echo "install failed!"
else
\cp Gwd  /usr/bin/
\cp SkypetoSipGw  /usr/bin/
\cp linux-x86-skypekit-voicertp-novideo /usr/bin/
chmod 777 /usr/bin/linux-x86-skypekit-voicertp-novideo
chmod 777 /usr/bin/SkypetoSipGw
chmod 777 /usr/bin/Gwd
chmod -R 777 /etc/skypetosipgwconfig
/bin/boa &
/usr/bin/Gwd &
echo "install success!"
fi
#\cp Gwd /etc/init.d/
#chmod 777 /etc/init.d/Gwd
#chkconfig --add Gwd
#/etc/init.d/Gwd start
